Debian Bug report logs - #587668
The Debian open logo with "Debian" is not compliant to the Debian policy

version graph

Package: desktop-base; Maintainer for desktop-base is Gustavo Franco <stratus@debian.org>; Source for desktop-base is src:desktop-base.

Reported by: Pompee William <william.pompee@gmail.com>

Date: Wed, 30 Jun 2010 19:03:01 UTC

Severity: serious

Tags: lenny-ignore, squeeze-ignore

Found in versions desktop-base/6.0.4, desktop-base/5.0.3, desktop-base/6.0.0

Fixed in versions desktop-base/6.0.3, desktop-base/6.0.5

Done: Yves-Alexis Perez <corsac@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Wed, 30 Jun 2010 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pompee William <william.pompee@gmail.com>:
New Bug report received and forwarded. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 30 Jun 2010 19:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pompee William <william.pompee@gmail.com>
To: submit@bugs.debian.org
Subject: The Debian open logo with "Debian" is not compliant to the Debian policy
Date: Wed, 30 Jun 2010 20:57:36 +0200
Package: desktop-base
Version: 5.0.3
Severity: serious
Distribution: stable
Section: main


Hello,

This package includes a modified version of the Debian open logo with
"Debian" which the license is not compliant to the Debian policy.

The license of the Debian open logo with "Debian" says:

  "This logo or a modified version may be used by anyone to refer to the
  Debian project, but does not indicate endorsement by the project."

  see http://www.debian.org/logos/index.en.html


whereas the Debian policy §2.1 (aka DFSG) says:


  "Derived Works

    The license must allow modifications and derived works, and must
  allow them to be distributed under the same terms as the license of
  the original software."

  which is not allowed if the derivative work doesn't refer to Debian


  "No Discrimination Against Fields of Endeavor

    The license must not restrict anyone from making use of the program
  in a specific field of endeavor. For example, it may not restrict the
  program from being used in a business, or from being used for genetic
  research."

  the license above restricts the way anyone would use the logo with
  "Debian"


  "License Must Not Be Specific to Debian

   The rights attached to the program must not depend on the program's
  being part of a Debian system. If the program is extracted from Debian
  and used or distributed without Debian but otherwise within the terms
  of the program's license, all parties to whom the program is
  redistributed must have the same rights as those that are granted in
  conjunction with the Debian system."

  see http://www.debian.org/doc/debian-policy/ch-archive.html


The files concerned are:

  /usr/share/apps/kdm/themes/moreblue-orbit/background.png
  /usr/share/apps/kdm/themes/moreblue-orbit/background.svg
  /usr/share/apps/ksplash/Themes/moreblue-orbit-default/Preview.png
  /usr/share/apps/ksplash/Themes/moreblue-orbit-default/splash_top.png


Regards

Pompee William




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Wed, 30 Jun 2010 19:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 30 Jun 2010 19:09:08 GMT) Full text and rfc822 format available.

Message #10 received at 587668@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Pompee William <william.pompee@gmail.com>, 587668@bugs.debian.org, 587664@bugs.debian.org
Subject: Re: Bug#587668: The Debian open logo with "Debian" is not compliant to the Debian policy
Date: Wed, 30 Jun 2010 20:07:03 +0100
[Message part 1 (text/plain, inline)]
On Wed, Jun 30, 2010 at 20:57:36 +0200, Pompee William wrote:

> Package: desktop-base
> Version: 5.0.3
> Severity: serious
> Distribution: stable
> Section: main
> 
Please file bugs applying to unstable, not stable.  And please discuss
mass bug filings on debian-devel, as per developer reference (assuming
you're going to file more of those).

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Wed, 30 Jun 2010 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 30 Jun 2010 21:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 587668@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Pompee William <william.pompee@gmail.com>, 587668@bugs.debian.org
Cc: Valessio Brito <contato@valessiobrito.info>
Subject: Re: Bug#587668: The Debian open logo with "Debian" is not compliant to the Debian policy
Date: Wed, 30 Jun 2010 23:00:30 +0200
[Message part 1 (text/plain, inline)]
On mer., 2010-06-30 at 20:57 +0200, Pompee William wrote:
> 
>    /usr/share/apps/kdm/themes/moreblue-orbit/background.png
>    /usr/share/apps/kdm/themes/moreblue-orbit/background.svg
>    /usr/share/apps/ksplash/Themes/moreblue-orbit-default/Preview.png
>    /usr/share/apps/ksplash/Themes/moreblue-orbit-default/splash_top.png 

I have to admit I'm not sure why those backgrounds are different from
the standard one (in /usr/share/images/desktop-base) which only use the
swirl (and thus are under the free license) (CC: Valessio for more info)

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Mon, 19 Jul 2010 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Mon, 19 Jul 2010 10:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 587668@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>, 587668@bugs.debian.org
Cc: Pompee William <william.pompee@gmail.com>, Valessio Brito <contato@valessiobrito.info>
Subject: Re: Bug#587668: The Debian open logo with "Debian" is not compliant to the Debian policy
Date: Mon, 19 Jul 2010 12:25:00 +0200
Hi!

* Yves-Alexis Perez <corsac@debian.org> [100630 23:00]:

> >    /usr/share/apps/kdm/themes/moreblue-orbit/background.png
> >    /usr/share/apps/kdm/themes/moreblue-orbit/background.svg
> >    /usr/share/apps/ksplash/Themes/moreblue-orbit-default/Preview.png
> >    /usr/share/apps/ksplash/Themes/moreblue-orbit-default/splash_top.png 
> I have to admit I'm not sure why those backgrounds are different from
> the standard one (in /usr/share/images/desktop-base) which only use the
> swirl (and thus are under the free license) (CC: Valessio for more info)

I can't say I understand these bugs either.  These two files have the
swirl and beside it is written Debian.  Okay, but the cited non DFSG
free logo license covers a specifig version of the logo with the text
"Debian" written under it.

Now, to my understanding, if I take the non-free OpenUse Logo, cut the
"Debian" under the swirl and paste it beside the swirl, I obviously have
a non-free logo.

But if I take the full free Open Use logo (the one without text) and
write Debian on the side of the swirl, I come up of the very same
graphic.  But as my "Swirl sided by Debian" graphic is based upon the
free version, my version is also free??


Best Regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Wed, 15 Sep 2010 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 15 Sep 2010 17:45:03 GMT) Full text and rfc822 format available.

Message #25 received at 587668@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 587668@bugs.debian.org
Cc: Alexander Reichle-Schmehl <tolimar@debian.org>, Yves-Alexis Perez <corsac@debian.org>, Pompee William <william.pompee@gmail.com>, Valessio Brito <contato@valessiobrito.info>
Subject: Re: The Debian open logo with "Debian" is not compliant to the Debian policy
Date: Wed, 15 Sep 2010 19:42:49 +0200
Given that the package maintainers have stated 2 months ago that they
do not understand the problem and the reporter have failed to provide
more information to explain it better, perhaps it is best to reduce
the severity or close the bug as wontfix?

I suspect the issue at hand is in the cross-section of copyright and
trademark law, and based on some misunderstanding on what is allowed
or not under copyright law, but must admit I do not understand what
problem this bug is reporting either.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Wed, 15 Sep 2010 21:22:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pompee William <william.pompee@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 15 Sep 2010 21:22:23 GMT) Full text and rfc822 format available.

Message #30 received at 587668@bugs.debian.org (full text, mbox):

From: Pompee William <william.pompee@gmail.com>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 587668@bugs.debian.org, Alexander Reichle-Schmehl <tolimar@debian.org>, Yves-Alexis Perez <corsac@debian.org>, Valessio Brito <contato@valessiobrito.info>
Subject: Re: The Debian open logo with "Debian" is not compliant to the Debian policy
Date: Wed, 15 Sep 2010 23:05:55 +0200
Hello,

As I previoulsy said to Alexander Reichle-Schmehl, there's no clue 
clearly leading to the fact that the debian text written beside the 
swirl was done from scratch. It's unlikely this is the case. The 
upstream author may enlight this point to end the discussion and close 
this bug if it may be closed.

Regards,

Pompee William


Petter Reinholdtsen wrote:
> Given that the package maintainers have stated 2 months ago that they
> do not understand the problem and the reporter have failed to provide
> more information to explain it better, perhaps it is best to reduce
> the severity or close the bug as wontfix?
> 
> I suspect the issue at hand is in the cross-section of copyright and
> trademark law, and based on some misunderstanding on what is allowed
> or not under copyright law, but must admit I do not understand what
> problem this bug is reporting either.
> 
> Happy hacking,





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Tue, 02 Nov 2010 13:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 02 Nov 2010 13:57:06 GMT) Full text and rfc822 format available.

Message #35 received at 587668@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: Pompee William <william.pompee@gmail.com>, 587668@bugs.debian.org, 587664@bugs.debian.org, 587482@bugs.debian.org
Cc: Petter Reinholdtsen <pere@hungry.com>, "Alexander Reichle-Schmehl" <tolimar@debian.org>, "Yves-Alexis Perez" <corsac@debian.org>, Valessio Brito <contato@valessiobrito.info>, debian-legal@lists.debian.org
Subject: Re: The Debian open logo with "Debian" is not compliant to the Debian policy (RC bugs #587482, #587664 and #587668)
Date: Tue, 2 Nov 2010 14:55:31 +0100
[Message part 1 (text/plain, inline)]
Hi all, 

(Context: while hunting for an RC bug to fix, I fell on #587668 and then asked 
for advice on #debian-release, where a discussion was held. Here's my summary of 
the issue.)

As the title of the bugreports mention, the issue is that the Debian Open Use 
Logo (DOUL) with "Debian" is not compliant to the DFSG. The consensus seems to 
be that it certainly fails #3 and #6, and (to some extent), #8. 

 * The "DOUL without 'Debian'" is DFSG-free; [DOUL]
 * The "DOUL with 'Debian'" is not. [DOUL-with]

gdm, gdm-themes and desktop-base all ship some images that incorporate both the 
swirl and the "Debian" part of the logo. The issue sounds to be that if the 
"Debian" part of said images were "derivatived" for the DOUL-with, they would 
fall under the DOUL-with license, hence non-DFSG-free (hence not suitable for 
main).

Now how can those three RC bugs get solved? My understanding from reading the 
three bugreports and from the discussion on #d-release is that we have a limited 
set of options:

  a) remove the "Debian" word on all images,
		(This would make the situation clear but is not necessarily possible
		without damage for all affected images.)
  b) get the original author of all affected images confirm that the "Debian"
     word on all images was not derivated from the DOUL-with,
  c) create a "Debian" word from scratch and replace all occurences of it in all
     affected images,
		(Same as a); not necessarily possible without damage on all affected
		images.)
  d) get the DOUL-with license changed in time for Squeeze,
  e) have the Release Team tag this as squeeze-ignore (that's no proper fix
     though).

@debian-legal: would the solutions b) or c) be enough to ensure that the final 
images would not fall under the DOUL-with license?

(My opinion is "no", but while interesting, it doesn't actually matter.)

Looking forward for more enlightening answers, cheers,

OdyX

-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Tue, 02 Nov 2010 14:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 02 Nov 2010 14:12:07 GMT) Full text and rfc822 format available.

Message #40 received at 587668@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Didier 'OdyX' Raboud <didier@raboud.com>, 587482@bugs.debian.org
Cc: Pompee William <william.pompee@gmail.com>, 587668@bugs.debian.org, 587664@bugs.debian.org, Petter Reinholdtsen <pere@hungry.com>, Alexander Reichle-Schmehl <tolimar@debian.org>, Yves-Alexis Perez <corsac@debian.org>, Valessio Brito <contato@valessiobrito.info>, debian-legal@lists.debian.org
Subject: Re: Bug#587482: The Debian open logo with "Debian" is not compliant to the Debian policy (RC bugs #587482, #587664 and #587668)
Date: Tue, 2 Nov 2010 15:09:49 +0100
[Message part 1 (text/plain, inline)]
On Tue, Nov  2, 2010 at 14:55:31 +0100, Didier 'OdyX' Raboud wrote:

>   d) get the DOUL-with license changed in time for Squeeze,

That's not going to happen, fwiw.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Tue, 02 Nov 2010 14:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 02 Nov 2010 14:39:07 GMT) Full text and rfc822 format available.

Message #45 received at 587668@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Didier 'OdyX' Raboud <didier@raboud.com>, 587482@bugs.debian.org
Cc: Pompee William <william.pompee@gmail.com>, 587668@bugs.debian.org, 587664@bugs.debian.org, Petter Reinholdtsen <pere@hungry.com>, Alexander Reichle-Schmehl <tolimar@debian.org>, Yves-Alexis Perez <corsac@debian.org>, Valessio Brito <contato@valessiobrito.info>, debian-legal@lists.debian.org
Subject: Re: Bug#587482: The Debian open logo with "Debian" is not compliant to the Debian policy (RC bugs #587482, #587664 and #587668)
Date: Tue, 2 Nov 2010 15:34:25 +0100
[Message part 1 (text/plain, inline)]
On Tue, Nov 02, 2010 at 02:55:31PM +0100, Didier 'OdyX' Raboud wrote:
> (Context: while hunting for an RC bug to fix, I fell on #587668 and then asked 
> for advice on #debian-release, where a discussion was held. Here's my summary of 
> the issue.)

Hi Didier,
  I stumbled upon these bug logs myself during last week-end. IANAL, but
FWIW my own summary of the issue is the same as yours, thanks for saving
my time in posting it here yourself first :-)

Let me just comment on a specific option, which lays pretty much at the
intersection of SPI/DPL responsibilities.

>   d) get the DOUL-with license changed in time for Squeeze,

I've been looking into this option, as I would have loved to simply
propose "let's re-license the 'with' logo under DOUL". Unfortunately,
there are concerns that doing so could be interpreted as "naked
licensing" [1] the Debian trademark.  I still hope to find some
DFSG-free way out of it, but the issue looks tricky and I seriously
doubt it can be solved in time for Squeeze.

Cheers.

[1] http://itlaw.wikia.com/wiki/Naked_license

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Caposella .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Mon, 15 Nov 2010 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Mon, 15 Nov 2010 11:39:03 GMT) Full text and rfc822 format available.

Message #50 received at 587668@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: 587668@bugs.debian.org, control@bugs.debian.org
Subject: Bug#587668: Proposed fix: images without the non-free logo
Date: Mon, 15 Nov 2010 12:38:07 +0100
[Message part 1 (text/plain, inline)]
tag 587668 patch
thanks

> This package includes a modified version of the Debian open logo with
> "Debian" which the license is not compliant to the Debian policy.
>
> The files concerned are:
>
>   /usr/share/apps/kdm/themes/moreblue-orbit/background.png
>   /usr/share/apps/kdm/themes/moreblue-orbit/background.svg
>   /usr/share/apps/ksplash/Themes/moreblue-orbit-default/Preview.png
>   /usr/share/apps/ksplash/Themes/moreblue-orbit-default/splash_top.png

Well, as changing the logo license seems not to be an option, the only
remaining ones are:
* to ignore this RC bug, shipping non-free or license-violating files
  with Debian, these files being Debian official desktop themes;
* to fix this bug, stripping the problematic part of these files.

I suggest that we apply the second option. I made stripped versions of
these images, available at <http://vanvogt.ortolo.eu/~tanguy/tmp/debian/bugs/587668/>.

Regards,

-- 
 ,--.
: /` )   Tanguy Ortolo
| `-'    Debian maintainer
 \_
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Tanguy Ortolo <tanguy+debian@ortolo.eu> to control@bugs.debian.org. (Mon, 15 Nov 2010 11:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Mon, 15 Nov 2010 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Mon, 15 Nov 2010 11:51:03 GMT) Full text and rfc822 format available.

Message #57 received at 587668@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Tanguy Ortolo <tanguy+debian@ortolo.eu>, 587668@bugs.debian.org
Subject: Re: Bug#587668: Proposed fix: images without the non-free logo
Date: Mon, 15 Nov 2010 12:48:42 +0100
[Message part 1 (text/plain, inline)]
On lun., 2010-11-15 at 12:38 +0100, Tanguy Ortolo wrote:
> I suggest that we apply the second option. I made stripped versions of
> these images, available at
> <http://vanvogt.ortolo.eu/~tanguy/tmp/debian/bugs/587668/>. 

Thanks, though I already committed “fixed” images for those 4 ones in
the desktop-base svn (they look pretty weird, but eh). The bug report
lacks a complete list of affected images though, and I have to admit I
really don't have time nor motivation to do an extensive search.

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Mon, 15 Nov 2010 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Mon, 15 Nov 2010 11:54:03 GMT) Full text and rfc822 format available.

Message #62 received at 587668@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 587668@bugs.debian.org
Subject: Re: Bug#587668: Proposed fix: images without the non-free logo
Date: Mon, 15 Nov 2010 12:51:34 +0100
[Message part 1 (text/plain, inline)]
Le lundi 15 novembre 2010, Yves-Alexis Perez a écrit :
> Thanks, though I already committed “fixed” images for those 4 ones in
> the desktop-base svn (they look pretty weird, but eh). The bug report
> lacks a complete list of affected images though, and I have to admit I
> really don't have time nor motivation to do an extensive search.

Okay, I shall do that and prepare stripped versions of each problematic
image I find. Time to get rid of this bug.

-- 
 ,--.
: /` )   Tanguy Ortolo
| `-'    Debian maintainer
 \_
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Mon, 15 Nov 2010 11:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Mon, 15 Nov 2010 11:57:06 GMT) Full text and rfc822 format available.

Message #67 received at 587668@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: control@bugs.debian.org, 587668@bugs.debian.org
Subject: No patch
Date: Mon, 15 Nov 2010 12:54:00 +0100
[Message part 1 (text/plain, inline)]
tag 587668 - patch
thanks

The “patch” has already been applied, but there are more problematic
images. Working on it.

-- 
 ,--.
: /` )   Tanguy Ortolo
| `-'    Debian maintainer
 \_
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from Tanguy Ortolo <tanguy+debian@ortolo.eu> to control@bugs.debian.org. (Mon, 15 Nov 2010 11:57:07 GMT) Full text and rfc822 format available.

Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Mon, 15 Nov 2010 19:36:11 GMT) Full text and rfc822 format available.

Notification sent to Pompee William <william.pompee@gmail.com>:
Bug acknowledged by developer. (Mon, 15 Nov 2010 19:36:11 GMT) Full text and rfc822 format available.

Message #74 received at 587668-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 587668-close@bugs.debian.org
Subject: Bug#587668: fixed in desktop-base 6.0.0
Date: Mon, 15 Nov 2010 19:33:53 +0000
Source: desktop-base
Source-Version: 6.0.0

We believe that the bug you reported is fixed in the latest version of
desktop-base, which is due to be installed in the Debian FTP archive:

desktop-base_6.0.0.dsc
  to main/d/desktop-base/desktop-base_6.0.0.dsc
desktop-base_6.0.0.tar.gz
  to main/d/desktop-base/desktop-base_6.0.0.tar.gz
desktop-base_6.0.0_all.deb
  to main/d/desktop-base/desktop-base_6.0.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587668@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated desktop-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 15 Nov 2010 19:58:48 +0100
Source: desktop-base
Binary: desktop-base
Architecture: source all
Version: 6.0.0
Distribution: unstable
Urgency: low
Maintainer: Gustavo Franco <stratus@debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 desktop-base - common files for the Debian Desktop
Closes: 548244 587668
Changes: 
 desktop-base (6.0.0) unstable; urgency=low
 .
   * The “Welcome Noémie” upload, adding Squeeze artwork.
   * debian/control:
     - update kde suggest to kde-standards.                      closes: #548244
     - update standards version to 3.9.1.
   * backgrounds:
     - add SpaceFun wallpaper
   * slashy:
     - add SpaceFun theme.
     - drop completely Moreblue Orbit theme.
   * kdm-theme:
     - add SpaceFun theme.
     - configure SpaceFun as the default theme.
   * debian/postinst:
     - add SpaceFun alternative at maximum level (default Squeeze theme).
     - rename grub alternative to add png extension so grub can find it.
     - run sync before updating grub to be sure the grub background has been
       written to disk.
   * debian/prerm:
     - rename grub alternative to add png extension.
   * Makefile:
     - drop unused rules for KDE3 and Xfce 4.4.
     - add SpaceFun gdm3 theme.
     - add SpaceFun kdm theme.
     - install grub theme and script.
   * {ksplash,kdm}-theme/moreblue-orbit{-default}:
     - drop “Debian” word from image to only use DFSG-free logo. closes: #587668
   * debian/copyright updated for the new theme.
   * grub:
     - add SpaceFun grub theme.
     - add a grub_background.sh which will override settings in grub and
       correctly set the default theme.
   * debian/README.Debian updated.
   * splash:
     - add SpaceFun splash.
   * profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml:
     - update colors to match new splash screen.
Checksums-Sha1: 
 1504c956b3e053bbce36d465f086612e449695ba 1712 desktop-base_6.0.0.dsc
 c71613167fa429145797ca595676399f58a75da2 8912848 desktop-base_6.0.0.tar.gz
 cd6f8c7cff55537d09ace4a93ecc00c357ac9a1b 6641754 desktop-base_6.0.0_all.deb
Checksums-Sha256: 
 bd24ada08473549f828e5b54bad77aae4474b9ba52a3681ded9bdfc9588d63c7 1712 desktop-base_6.0.0.dsc
 ce6be6be3aa432495f3349e602dda0517c434073ef755093ce6839addc0763c1 8912848 desktop-base_6.0.0.tar.gz
 5d03cdfc98d3f239dcede2dd82cc9909ddfea6b8749cdc63321aa35a7c4fc2e7 6641754 desktop-base_6.0.0_all.deb
Files: 
 5e39e55165ad0b2e200edcd135877798 1712 x11 optional desktop-base_6.0.0.dsc
 329b21f27248214930da58a9b19aaa4b 8912848 x11 optional desktop-base_6.0.0.tar.gz
 136caab01bf0454650d35b6d7ac82a94 6641754 x11 optional desktop-base_6.0.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJM4YV1AAoJEDBVD3hx7wuoXtAQAJA4r4eRoKX40xZ5QlaJlSV3
ZL7+W/B1Dw/eehc6R6Lh2eMyl+PvDj2eQBi3e3NwJHDsg9/vSFVRqd5Z9bkjxi+4
69Bj0HYgNR5BgtRX63i45FVMP3elGpp3zkdSZ7TM/P1D0tBaJ4SQOKDQRoOFeYkj
FCISLtE8tKV2sho9eTH5yGoBd3Ax5+phD5tH94GoPvM6n6Li5Fcv2/YqzzOHtMkB
tn3qa9RiA4m3J+ey9qHQ7xGmUbPG/uM/Qz2FZm4ea8Gottr5Pwc10xuinZm4OvLj
4b/RKdr1NmpWo5yy91awgA4fX9r+aYrHKVlWC52vIOqrq02mmEA82XZl09mz53sO
Rtu+XSiVL/DMZaBihf8yEtmQf+UrnmhGqQZRsqLZk9gfeSvM9TXMVKXnWaxkGpyP
iSBXKPXYSwjGh6hmj+kHXyzQPCpGlGbgPsPgaXQVYUHB2TCZkv2sfToz5vIClz65
T6/TxaDCELe/l0YmaFxuB/9yBH1NIs7Js+4l78ekrN6eeSSvu8QQddU/8PNelhlS
g73pLkLZ1J0k0S8bwmhIOhPF6sVjtzEJRZbSxRZXaKAtODCiC4pEbJKXN4xv+mrn
u5F1Xv9jFn4bOpH6FPm8wmFMkisJN+BcR+lNDR4gy3Xn00D5y8kgfN5l5u6NYgI1
RqyRQ7phrj4P8nBrYXRC
=qgnv
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Wed, 17 Nov 2010 22:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 17 Nov 2010 22:30:03 GMT) Full text and rfc822 format available.

Message #79 received at 587668@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 587668@bugs.debian.org
Cc: control@bugs.debian.org, Pompee William <william.pompee@gmail.com>
Subject: Re: Bug#587668: fixed in desktop-base 6.0.0
Date: Wed, 17 Nov 2010 23:19:40 +0100
[Message part 1 (text/plain, inline)]
found 587668 desktop-base/6.0.0
thanks


On Mon, 15 Nov 2010 19:33:53 +0000 Yves-Alexis Perez wrote:

[...]
>    * {ksplash,kdm}-theme/moreblue-orbit{-default}:
>      - drop “Debian” word from image to only use DFSG-free logo. closes: #587668
[...]

It seems to me that there are several other derivative works of the
Debian Open Use Logo with “Debian”
<http://www.debian.org/logos/openlogo.svg>
still present in desktop-base_6.0.0.tar.gz.

Here's a list of what I found with a complete review of the package:

./backgrounds/moreblue-orbit-grub.svg.tar.bz2
./backgrounds/gnome-debian-sid-wp.png
./backgrounds/moreblue-orbit-grub.png
./backgrounds/gnome-debian-sid-wp.xcf.gz
./debian-desktop-logo.png
./source/spacefun/splashy.svg
./source/spacefun/grub.svg
./source/spacefun/splash.svg
./splash/spacefun-splash.svg
./splash/gnome-debian-sid-splash.png
./splash/moreblue-orbit-splash.svg.tar.bz2
./splash/gnome-debian-sid-splash.xcf.gz
./grub/spacefun-grub-widescreen.png
./splashy/spacefun/back.png
./splashy/spacefun/error.png
./splashy/spacefun/go.png
./usplash/moreblue-orbit/cmap.gif
./usplash/moreblue-orbit/background.svg

All these images include a “Debian” text clearly derived from
<http://www.debian.org/logos/openlogo.svg> and have to be modified
in order to become DFSG-free...

I am therefore reopening the bug.
I hope this issue may be fixed soon.


P.S.: Pompee, do you prefer if I set myself as the bug report
submitter? Or do you prefer to keep things as they are?

-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Bug Marked as found in versions desktop-base/6.0.0; no longer marked as fixed in versions desktop-base/6.0.0 and reopened. Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. (Wed, 17 Nov 2010 22:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Wed, 17 Nov 2010 23:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pompee William <william.pompee@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Wed, 17 Nov 2010 23:21:10 GMT) Full text and rfc822 format available.

Message #86 received at 587668@bugs.debian.org (full text, mbox):

From: Pompee William <william.pompee@gmail.com>
To: Francesco Poli <frx@firenze.linux.it>
Cc: 587668@bugs.debian.org
Subject: Re: Bug#587668: fixed in desktop-base 6.0.0
Date: Thu, 18 Nov 2010 00:16:48 +0100
Hello Francesco,

I confirm that this bug is not completely fixed yet. I thank Yves-Alexis 
for fixing it in part and I thank you for reopening it too.

Regards


PS: I prefer to be the submitter upto the end in order to keep things
clear. Please call me William it sounds more familiar to me. ;-)

Francesco Poli wrote:
> found 587668 desktop-base/6.0.0
> thanks
> 
> 
> On Mon, 15 Nov 2010 19:33:53 +0000 Yves-Alexis Perez wrote:
> 
> [...]
>>    * {ksplash,kdm}-theme/moreblue-orbit{-default}:
>>      - drop “Debian” word from image to only use DFSG-free logo. closes: #587668
> [...]
> 
> It seems to me that there are several other derivative works of the
> Debian Open Use Logo with “Debian”
> <http://www.debian.org/logos/openlogo.svg>
> still present in desktop-base_6.0.0.tar.gz.
> 
> Here's a list of what I found with a complete review of the package:
> 
> ./backgrounds/moreblue-orbit-grub.svg.tar.bz2
> ./backgrounds/gnome-debian-sid-wp.png
> ./backgrounds/moreblue-orbit-grub.png
> ./backgrounds/gnome-debian-sid-wp.xcf.gz
> ./debian-desktop-logo.png
> ./source/spacefun/splashy.svg
> ./source/spacefun/grub.svg
> ./source/spacefun/splash.svg
> ./splash/spacefun-splash.svg
> ./splash/gnome-debian-sid-splash.png
> ./splash/moreblue-orbit-splash.svg.tar.bz2
> ./splash/gnome-debian-sid-splash.xcf.gz
> ./grub/spacefun-grub-widescreen.png
> ./splashy/spacefun/back.png
> ./splashy/spacefun/error.png
> ./splashy/spacefun/go.png
> ./usplash/moreblue-orbit/cmap.gif
> ./usplash/moreblue-orbit/background.svg
> 
> All these images include a “Debian” text clearly derived from
> <http://www.debian.org/logos/openlogo.svg> and have to be modified
> in order to become DFSG-free...
> 
> I am therefore reopening the bug.
> I hope this issue may be fixed soon.
> 
> 
> P.S.: Pompee, do you prefer if I set myself as the bug report
> submitter? Or do you prefer to keep things as they are?
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Thu, 18 Nov 2010 17:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Thu, 18 Nov 2010 17:42:02 GMT) Full text and rfc822 format available.

Message #91 received at 587668@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Pompee William <william.pompee@gmail.com>
Cc: 587668@bugs.debian.org
Subject: Re: Bug#587668: fixed in desktop-base 6.0.0
Date: Thu, 18 Nov 2010 18:37:38 +0100
[Message part 1 (text/plain, inline)]
On Thu, 18 Nov 2010 00:16:48 +0100 Pompee William wrote:

> Hello Francesco,

Hi!

> 
> I confirm that this bug is not completely fixed yet.

Good.

> I thank Yves-Alexis for fixing it in part

Yes, that was implicit on my part: sorry for not saying so more
clearly...

> and I thank you for reopening it too.

You're welcome.

> 
> Regards
> 
> 
> PS: I prefer to be the submitter upto the end in order to keep things
> clear.

That's fine with me.

> Please call me William it sounds more familiar to me. ;-)

Whoops! I misinterpreted your From field as "name surname <address>",
while it is apparently "surname name <address>"...
Sorry for that, William.


-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 05 Dec 2010 22:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Sun, 05 Dec 2010 23:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to uhansen@mainz-online.de:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Sun, 05 Dec 2010 23:30:02 GMT) Full text and rfc822 format available.

Message #98 received at 587668@bugs.debian.org (full text, mbox):

From: Ulrich Hansen <uhansen@mainz-online.de>
To: 587668@bugs.debian.org
Subject: Fwd: Bug#587668: The Debian open logo with "Debian" is not compliant to the Debian policy
Date: Sun, 05 Dec 2010 23:57:30 +0100
As I wrote to Yves-Alexis two days ago I have changed all the images 
to be compliant to the DFSG. They just need to be copied to desktop-base.

So we could really solve this bug instead of ignoring it.



-------- Original-Nachricht --------
Betreff: Bug#587668: The Debian open logo with "Debian" is not 
compliant to the Debian policy
Datum: Fri, 03 Dec 2010 23:20:40 +0100
Von: Ulrich Hansen <uhansen@mainz-online.de>
Antwort an: uhansen@mainz-online.de
An: Yves-Alexis Perez <corsac@debian.org>

I modified all the pictures listed in the bugreport. The package
should be compliant to the DFSG now.

The pictures are all in their place in a modified source package you
find at:
<http://lazybrowndog.net/debian/squeeze/desktop-base_6.0.2-dfsg-free.tar.gz>
(they all have a timestamp from Dec. 3rd.)

If you want just the modified pictures: they are in the directory
<http://lazybrowndog.net/debian/squeeze/bugfixes>




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Sun, 05 Dec 2010 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Sun, 05 Dec 2010 23:57:03 GMT) Full text and rfc822 format available.

Message #103 received at 587668@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: uhansen@mainz-online.de, 587668@bugs.debian.org
Subject: Re: Bug#587668: Fwd: Bug#587668: The Debian open logo with "Debian" is not compliant to the Debian policy
Date: Mon, 06 Dec 2010 00:53:20 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-12-05 at 23:57 +0100, Ulrich Hansen wrote:
> As I wrote to Yves-Alexis two days ago I have changed all the images 
> to be compliant to the DFSG. They just need to be copied to desktop-base.
> 
> So we could really solve this bug instead of ignoring it. 

Yeah, I didn't really have a chance to look at them yet, sorry.
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Tue, 07 Dec 2010 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to uhansen@mainz-online.de:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 07 Dec 2010 20:54:03 GMT) Full text and rfc822 format available.

Message #108 received at 587668@bugs.debian.org (full text, mbox):

From: Ulrich Hansen <uhansen@mainz-online.de>
To: Yves-Alexis Perez <corsac@debian.org>, 587668@bugs.debian.org
Subject: Re: Bug#587668: Fwd: Bug#587668: The Debian open logo with "Debian" is not compliant to the Debian policy
Date: Tue, 07 Dec 2010 21:51:27 +0100
On 06.12.2010 00:53, Yves-Alexis Perez wrote:

> Yeah, I didn't really have a chance to look at them yet, sorry.

No problem. To make reviewing and applying my bugfix much easier, 
faster and convenient I have put it in our wiki. Please just take a look:

<http://wiki.debian.org/DebianArt/desktop-base-bugfix587668>

We can fix this bug.

And we really should fix this. Debian renames other projects like 
Firefox and Thunderbird because of their trademark issues. We should 
solve the same trademark issues in our own backyard as well.







Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Tue, 07 Dec 2010 21:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 07 Dec 2010 21:09:09 GMT) Full text and rfc822 format available.

Message #113 received at 587668@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: uhansen@mainz-online.de
Cc: 587668@bugs.debian.org
Subject: Re: Bug#587668: Fwd: Bug#587668: The Debian open logo with "Debian" is not compliant to the Debian policy
Date: Tue, 07 Dec 2010 22:04:45 +0100
[Message part 1 (text/plain, inline)]
On mar., 2010-12-07 at 21:51 +0100, Ulrich Hansen wrote:
> On 06.12.2010 00:53, Yves-Alexis Perez wrote:
> 
> > Yeah, I didn't really have a chance to look at them yet, sorry.
> 
> No problem. To make reviewing and applying my bugfix much easier, 
> faster and convenient I have put it in our wiki. Please just take a look:
> 
> <http://wiki.debian.org/DebianArt/desktop-base-bugfix587668>
> 
Thanks, that's really appreciated.
> 
> And we really should fix this. Debian renames other projects like 
> Firefox and Thunderbird because of their trademark issues. We should 
> solve the same trademark issues in our own backyard as well.

Yes, we should solve the trademark issues.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Tue, 07 Dec 2010 21:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur Machlas <arthur.machlas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 07 Dec 2010 21:15:13 GMT) Full text and rfc822 format available.

Message #118 received at 587668@bugs.debian.org (full text, mbox):

From: Arthur Machlas <arthur.machlas@gmail.com>
To: 587668@bugs.debian.org
Subject: Re: Bug#587668: Fwd: Bug#587668: The Debian open logo with "Debian" is not compliant to the Debian policy
Date: Tue, 7 Dec 2010 15:11:06 -0600
On Tue, Dec 7, 2010 at 3:04 PM, Yves-Alexis Perez <corsac@debian.org> wrote:
> On mar., 2010-12-07 at 21:51 +0100, Ulrich Hansen wrote:
>> On 06.12.2010 00:53, Yves-Alexis Perez wrote:
>>
>> > Yeah, I didn't really have a chance to look at them yet, sorry.
>>
>> No problem. To make reviewing and applying my bugfix much easier,
>> faster and convenient I have put it in our wiki. Please just take a look:
>>
>> <http://wiki.debian.org/DebianArt/desktop-base-bugfix587668>
>>
> Thanks, that's really appreciated.
>>
>> And we really should fix this. Debian renames other projects like
>> Firefox and Thunderbird because of their trademark issues. We should
>> solve the same trademark issues in our own backyard as well.
>
> Yes, we should solve the trademark issues.

Is there a problem with choosing a different font, and keeping the word Debian?




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Tue, 07 Dec 2010 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to uhansen@mainz-online.de:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 07 Dec 2010 22:39:03 GMT) Full text and rfc822 format available.

Message #123 received at 587668@bugs.debian.org (full text, mbox):

From: Ulrich Hansen <uhansen@mainz-online.de>
To: Arthur Machlas <arthur.machlas@gmail.com>, 587668@bugs.debian.org
Subject: Re: Bug#587668: Fwd: Bug#587668: The Debian open logo with "Debian" is not compliant to the Debian policy
Date: Tue, 07 Dec 2010 23:35:26 +0100
On 07.12.2010 22:11, Arthur Machlas wrote:
> Is there a problem with choosing a different font, and keeping the word Debian?

No there isn't. This solves the DFSG problem. It is done for instance 
in spacefun-splash.svg. I didn't keep the word Debian in 
spacefun-grub-widescreen.png as it has been already deleted in 
spacefun-grub.png and the splashy pictures and I thought the changes 
should be consistent.

In some other pictures I just used the swirl and didn't change the 
font of the word Debian. Because I think that Debian users are used to 
see the word Debian in the official Poppl Laudation Condensed font 
(for instance on debian.org). So using a different font might look 
unofficial and like a "fake" to them.

The swirl on the other hand is our official symbol and is well known 
to our users. So I think it could be a good idea to use the swirl more 
often and the word Debian less often in the artwork included in Debian.

Of course this could be changed, if everybody wants that.




Added tag(s) lenny-ignore. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Thu, 09 Dec 2010 12:06:06 GMT) Full text and rfc822 format available.

Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Sun, 12 Dec 2010 11:21:11 GMT) Full text and rfc822 format available.

Notification sent to Pompee William <william.pompee@gmail.com>:
Bug acknowledged by developer. (Sun, 12 Dec 2010 11:21:12 GMT) Full text and rfc822 format available.

Message #130 received at 587668-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 587668-close@bugs.debian.org
Subject: Bug#587668: fixed in desktop-base 6.0.3
Date: Sun, 12 Dec 2010 11:17:07 +0000
Source: desktop-base
Source-Version: 6.0.3

We believe that the bug you reported is fixed in the latest version of
desktop-base, which is due to be installed in the Debian FTP archive:

desktop-base_6.0.3.dsc
  to main/d/desktop-base/desktop-base_6.0.3.dsc
desktop-base_6.0.3.tar.gz
  to main/d/desktop-base/desktop-base_6.0.3.tar.gz
desktop-base_6.0.3_all.deb
  to main/d/desktop-base/desktop-base_6.0.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587668@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated desktop-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 12 Dec 2010 11:51:48 +0100
Source: desktop-base
Binary: desktop-base
Architecture: source all
Version: 6.0.3
Distribution: unstable
Urgency: low
Maintainer: Gustavo Franco <stratus@debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 desktop-base - common files for the Debian Desktop
Closes: 389155 523150 587668 594533 605116 605239
Changes: 
 desktop-base (6.0.3) unstable; urgency=low
 .
   * profiles/kde-profiles:
     - drop dir_wallpaper to not clutter KDE wallpaper chooser.  closes: #605116
   * debian/prerm:
     - remove desktop-splash spacefun alternative.               closes: #605239
   * profiles/[...]/xfce4-desktop.xml:
     - don't set image-style property, default to auto.          closes: #523150
   * cleanup debian/copyright for removed stuff.                 closes: #594533
   * debian/pixmaps:
     - debian-security updated, thanks to Ulrich Hansen.         closes: #389155
   * DFSG-ify artwork:                                           closes: #587668
     - various themes, thanks to Ulrich Hansen.
     - SpaceFun theme, thanks to Valessio Brito.
   * debian/control:
     - depends on ttf-sil-andika since SpaceFun theme uses it in svg files.
Checksums-Sha1: 
 f26383fea0ecd83f57ac39e27c4d7609b5877800 1712 desktop-base_6.0.3.dsc
 614a2937e58a2e26ae25adebc6fa5993e9a9e336 8820789 desktop-base_6.0.3.tar.gz
 2bcf66027ce654c8edfa7eb3b37adabc9c43a7d0 6680458 desktop-base_6.0.3_all.deb
Checksums-Sha256: 
 f3e859a628da9349be8fdd3964bbd61503ffe0b5e931e2321ef0db27d87ddcf8 1712 desktop-base_6.0.3.dsc
 ca7a46be92606c38c3f8a40a2a30293b4754758b14aa36db5bf6b31722c5c9ae 8820789 desktop-base_6.0.3.tar.gz
 f03a3a7f6dbfb0379da0d0d5d7b5bd0ef27a19be93767fa6be43d9cb3ba9f613 6680458 desktop-base_6.0.3_all.deb
Files: 
 ab849b157eb1fd9adfbb2a4f2ef65140 1712 x11 optional desktop-base_6.0.3.dsc
 5ecf3eef11c51ff3ac753ff978a053f0 8820789 x11 optional desktop-base_6.0.3.tar.gz
 49cffb7e0b476b8cffa2a9aa600f6f7f 6680458 x11 optional desktop-base_6.0.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJNBK1cAAoJEDBVD3hx7wuouD0P/2wwwNN5U35yJBWISfz0ctaD
S/oEzS5dZhgaIvjZOmCKAErEprr5jycFdbhQAsUbLiHisEss0APUDZJ+bOckioPD
RUi3qhhvkHl54LeOk+UpvoRhnFEsHkK8CK5MBRgo8E5fmHXh6wAtEtyrSIY3aSGF
mLBzZ8XMAdNnOFI20MxPPge1DYBAs+LYmSh1F4XiUR3Ix5CWwZPRsEMDOmP4pajH
Eg2tWcN/SuIqthzCIA/HrTku5Sp+Oyr66ZH5mMbesh6GlkoNi+DBVlsrKnhuXJRm
Egm0kPcOLwV0kbGad0+xfBwQIgZj7eFJ8gxMPtmJDMot4W+5T/l0GWQb9L/ugeU0
57w2rYJuA/bnNv+aCXxH9T1Z8hkO+rB9T96JMs5RbczhtJeWJfUQ4JO6P4aaXjxj
tulpUbENJtX5w+/NbpLo7Hst+A8QYrXGEU0H4sO8hpjtVcMF1LTeItsvfN6QJNDt
BXCUaycSdci01gEtPahpu8Z98gWEBMXuQMj0dWeYIt6R0e9urT/M1F0HisUi1OTV
odVEIByKh2dO7IRYG/ovi5ArHCg9xAUPzGJe9zyy1nv3Xdt4Jx2nH6zFF8VuY3gR
V6cvSD6VUPEAJilwTS8KwcdrbgWoQzQgT4sEbeUMziySqPzroXRwLco3G2oMPuXS
pTwOtajAKsjQWBrrkxAD
=u65A
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Thu, 16 Dec 2010 07:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to hasanyasin <hasanyasin@cubicpen.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Thu, 16 Dec 2010 07:54:05 GMT) Full text and rfc822 format available.

Message #135 received at 587668@bugs.debian.org (full text, mbox):

From: hasanyasin <hasanyasin@cubicpen.com>
To: 587668@bugs.debian.org
Subject: Open Logo License and DFSG ARE Compatible...
Date: Thu, 16 Dec 2010 02:41:48 -0500
I have seen this bug report when I was reading
http://wiki.debian.org/DebianDesktop/Artwork/Requirements.

I believe that there was not a bug in the package at all and the artwork 
was not needed to be modified. Here is my view of the issue:

The statement from the open logo license:

  "This logo or a modified version may be used by anyone to refer to the
  Debian project, but does not indicate endorsement by the project."

does not have anything against the Debian policy.

First of all, it says "Referring to the project with a modified logo is 
allowed." It does not say This logo or a modified version may "ONLY" be 
used to refer to the Debian project. So, current statement is not 
limiting but stating a freedom. DFSG mentions GPL, MIT and Artistic 
Licenses as FREE all of which contains similar statements like this. An 
example which is much more limiting than open logo license, from 
Artistic License:

"The name of the Copyright Holder may not be used to endorse or promote 
products derived from this software without specific prior written 
permission."

On the other hand, in my opinion, this statement in open logo license 
should be updated to include a limitation of usage of the logo to refer 
to the Debian Project. I mean, it should say what the bug reporter 
understands: "This logo may "ONLY" be used to refer to the Debian 
project." So the logo is protected. And it also should include another 
limitation as prohibiting referral of the Debian Project with a modified 
logo so Debian's image can be protected.

This would be good I believe: "This logo may only be used to refer to 
the Debian Project and any modified version may not be used to refer to 
the Debian Project without prior written permission."

Let's say this update is done or we understand the current statement as 
containing this limitation. The license would again be perfectly 
compliant with the DFSG. The license allows modifications and derived 
works and allows them to be distributed "under the same terms as the 
license of the original" which contains referral to the Debian project. 
In other words, I can distribute the logo under the original license and 
also refer to the project with it. Even with my too much stricted 
version of the statement, I will still be "free" to "modify" and "use" 
it in a theme used in Debian Releases because the project itself 
distributes it after acceptance as a contest winner which can be 
considered as the written permission. Then everybody will be free to 
redistribute it with it's current modified situation since it is allowed 
with written permission.

Using a logo means using it to refer to the thing which it represents. 
Using a logo does not mean taking it and making it the logo of another 
thing. Using Debian Logo without referring to the project is not a 
freedom guaranteed under DFSG, and for my personal opinion should not be 
considered a freedom at all.

Other statements from the DFSG does not have any contradiction with the 
license statements current situation nor the stricted version I offered. 
The license does not restrict the use of the logo in a specific field, 
you are free to use it anywhere, it is a logo. You can use it on your 
hosting website referring to Debian. Limiting your use of it to resemble 
Debian and not allowing, for example, using it to refer to Freebsd, 
which is not the situation by the current license anyway, does not mean 
to "restrict anyone from making use of the program in a specific field 
of endeavor."

The last statement mentioned in the bug report, the license does not 
"attach the rights on the logo with its' being part of the Debian 
System." You can use it on a T-Shirt or a Coffee Mug or the door of your 
apartment, any of which are not a part of the Debian System.

In his second message reporter mentions "the fact that the debian text 
written beside the swirl was done from scratch" This fact has nothing to 
do with the logo license nor DFSG. It makes the logo original or 
modified which are not seperated. Even if you draw it from scratch, it 
is Debian Logo. Even if you use different fonts, it can be claimed to be 
the Debian Logo at the court if it is not "too" different. However, the 
license, unfortunately for me, allows all of the uses stated here as 
examples.

Lastly, I feel that there is something not right at removing your own 
logo from your own release! If we can not use our own logo on our own 
releases, what is freedom, really? I am working on a theme to send for 
the contest for Wheezy and I want to "FEEL FREE" to use Debian Logo on 
Debian Releases. Can I FEEL FREE? Please let me know if this issue is 
solved for everyone or not.

hasanyasin.phila




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Thu, 16 Dec 2010 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Hansen <uhansen@mainz-online.de>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Thu, 16 Dec 2010 13:00:03 GMT) Full text and rfc822 format available.

Message #140 received at 587668@bugs.debian.org (full text, mbox):

From: Ulrich Hansen <uhansen@mainz-online.de>
To: <587668@bugs.debian.org>
Subject: Open Logo License and DFSG ARE Compatible...
Date: Thu, 16 Dec 2010 13:57:36 +0100
> Lastly, I feel that there is something not right
> at removing your own logo from your own release!

According to message 35 of this post, the use of the Swirl with 
"Debian" "certainly fails #3 and #6, and (to some extent), #8" of the 
DFSG.

You have another opinion. I am not a lawyer.

But we have the promise "Debian will remain 100% free" in our Social 
Contract. Being 100% free is one of the key strengths of this distro. I 
think we should keep that promise.

So if in doubt, I'd say: drop the word "debian" from the artwork. What 
do we loose anyway? To have the word "debian" in a certain font in a 
grub background picture or a splash screen - is this worth the fight? We 
can use another font instead or just the swirl, which is well known to 
our users.

>I am working on a theme to send for the contest
>for Wheezy

Looking forward to see it! ;-)





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Thu, 16 Dec 2010 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to hasanyasin <hasanyasin@cubicpen.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Thu, 16 Dec 2010 16:00:03 GMT) Full text and rfc822 format available.

Message #145 received at 587668@bugs.debian.org (full text, mbox):

From: hasanyasin <hasanyasin@cubicpen.com>
To: 587668@bugs.debian.org
Subject: My Approach is Completely Different...
Date: Thu, 16 Dec 2010 10:58:12 -0500
Hello Again and thank you very much for the quick reply. I have searched 
the mailing lists about this bug report and read everything I could 
find. I saw that every discussion was started completely accepting that 
the open logo license was not complient to the DFSG and continued on 
what to do and how to do it. However, my approach here is completely 
different: I want to clearly state that the license of the current logo 
*IS* FREE and it is perfectly in comliance with the DFSG.

Yes, the license includes a limitation to the use of the logo but the 
same kind of limitation is also included in GPL itself. Article #4 of 
GPL is:

"You may convey verbatim copies of the Program's source code as you 
receive it, in any medium, provided that you conspicuously and 
appropriately publish on each copy an appropriate copyright notice; keep 
intact all notices stating that this License and any non-permissive 
terms added in accord with section 7 apply to the code; keep intact all 
notices of the absence of any warranty; and give all recipients a copy 
of this License along with the Program."

This states that you cannot redistribute a piece of software licensed 
with GPL if you claim that this was created by you or this was not GPL. 
This is the same limitation as the Logo License puts on the use of the 
logo. So, if we are removing the use of our own logo from our own distro 
then we need to remove all GPL licensed software too. Even we do that, 
even we decide to write everything from scratch and remove all the GPL 
software from Debian then at the time we accept this, we will also fall 
in the contradiction with DFSG itself which clearly states GPL as free!

If I take Debian logo and use it as my company logo, it will not violate 
the terms of the open logo license but it will also violate the meaning 
of being free. Debian Logo of course must refer to the Debian Project. 
In the same sense with GPL's limitation that any software created by 
John Doe should include the Copyright Notice of John Doe himself.

Seeing all that discussions and all that serious decisions made, I am 
not sure if this subject should be moved to another place other than 
this bug report and discussed more. I have two serious arguments which I 
can summarize as:

1. The current license of Debian Logo is FREE and completely in 
compliance with the DFSG.
2. We should consider adding more clear limitations to the current 
license of the logo so both the Debian's Image of Identity and the 
Debian Logo could be protected.
3. We should merge two different license terms for the logo with or 
without debian, into one; since the seperation, I believe, comes from 
the misbelief that the license was not free and the need of providing a 
version of the logo to be used.

>  drop the word "debian" from the artwork. What
>  do we loose anyway?

Please my friend, come on, please! We lose our own freedom here and 
freedom worths fighting, not that we are in any kind of fight here. We 
should not cause people mocking "Debian is free, it is as free as they 
cannot use their own logo on their own distribution!" I believe the 
issue not solved and I also believe that to be confident on what we do, 
we should solve this in complete clearness closing every door for any 
legal arguments.

As for the theme I am working on, I created a page 
[http://wiki.debian.org/DebianArt/Themes/BoldDebian] following the 
contest guides and because it is not finished I didn't add it to the 
contest page as my proposal. On the wiki page currently there is nothing 
but only a few sentences about the concept which is being built. I am 
planning to design a deeply detailed theme in a long period of time. 
Considering the fact that Wheezy has a long way before being frozen, I 
think I have several months and it is great. I will add what I am doing 
continuously on the wiki page expecting feedback positive or negative. 
Please help me there with ideas, comments, and corrections.

Greeting everybody in the community with the great love of freedom,
hasanyasin.phila
A newbie and wanna-be member of the Debian Community.




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Thu, 16 Dec 2010 16:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to hasanyasin <hasanyasin@cubicpen.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Thu, 16 Dec 2010 16:15:03 GMT) Full text and rfc822 format available.

Message #150 received at 587668@bugs.debian.org (full text, mbox):

From: hasanyasin <hasanyasin@cubicpen.com>
To: 587668@bugs.debian.org
Subject: Small Correction...
Date: Thu, 16 Dec 2010 11:11:49 -0500
I saw that I had a mistake in the sentence:

>If I take Debian logo and use it as my company logo, it will not violate
the terms of the open logo license...

with which I really mean:

>  If I take Debian logo and use it as my company logo, it will not *ONLY* violate
>  the terms of the open logo license...

I believe there is a kind of little curse around, about the word "only" (:

hasanyasin.phila





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Sun, 19 Dec 2010 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Sun, 19 Dec 2010 18:00:03 GMT) Full text and rfc822 format available.

Message #155 received at 587668@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 587668@bugs.debian.org
Cc: control@bugs.debian.org, Pompee William <william.pompee@gmail.com>
Subject: Re: Bug#587668: fixed in desktop-base 6.0.0
Date: Sun, 19 Dec 2010 18:50:30 +0100
[Message part 1 (text/plain, inline)]
found 587668 desktop-base/6.0.4
thanks



On Wed, 17 Nov 2010 23:19:40 +0100 Francesco Poli wrote:
[...]
> It seems to me that there are several other derivative works of the
> Debian Open Use Logo with “Debian”
> <http://www.debian.org/logos/openlogo.svg>
> still present in desktop-base_6.0.0.tar.gz.
> 
> Here's a list of what I found with a complete review of the package:
> 
> ./backgrounds/moreblue-orbit-grub.svg.tar.bz2
> ./backgrounds/gnome-debian-sid-wp.png
> ./backgrounds/moreblue-orbit-grub.png
> ./backgrounds/gnome-debian-sid-wp.xcf.gz
> ./debian-desktop-logo.png
> ./source/spacefun/splashy.svg
> ./source/spacefun/grub.svg
> ./source/spacefun/splash.svg
> ./splash/spacefun-splash.svg
> ./splash/gnome-debian-sid-splash.png
> ./splash/moreblue-orbit-splash.svg.tar.bz2
> ./splash/gnome-debian-sid-splash.xcf.gz
> ./grub/spacefun-grub-widescreen.png
> ./splashy/spacefun/back.png
> ./splashy/spacefun/error.png
> ./splashy/spacefun/go.png
> ./usplash/moreblue-orbit/cmap.gif
> ./usplash/moreblue-orbit/background.svg
> 
> All these images include a “Debian” text clearly derived from
> <http://www.debian.org/logos/openlogo.svg> and have to be modified
> in order to become DFSG-free...

It seems to me that there are still two unfixed images in
desktop-base_6.0.4.tar.gz:

./debian-desktop-logo.png
./source/spacefun/splash.svg

I am therefore reopening the bug report.

Please fix these two images too, so that this bug report may be really
be closed as fixed!

Thanks for your efforts in delivering great and *DFSG-free* graphics
for the Debian desktop!

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Bug Marked as found in versions desktop-base/6.0.4 and reopened. Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. (Sun, 19 Dec 2010 18:00:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Mon, 20 Dec 2010 17:09:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to uhansen@mainz-online.de:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Mon, 20 Dec 2010 17:09:48 GMT) Full text and rfc822 format available.

Message #162 received at 587668@bugs.debian.org (full text, mbox):

From: Ulrich Hansen <uhansen@mainz-online.de>
To: Francesco Poli <frx@firenze.linux.it>, 587668@bugs.debian.org
Cc: Valessio Brito <contato@valessiobrito.info>
Subject: Re: Bug#587668: fixed in desktop-base 6.0.0
Date: Mon, 20 Dec 2010 17:59:35 +0100
Am 19.12.2010 18:50, schrieb Francesco Poli:
> It seems to me that there are still two unfixed images in
> desktop-base_6.0.4.tar.gz:
>
> ./debian-desktop-logo.png
> ./source/spacefun/splash.svg
>
> I am therefore reopening the bug report.

This one is easy to fix:

debian-desktop-logo.png

has been dropped from the source package by Yves-Alexis Perez in the 
meantime.

And ./source/spacefun/splash.svg is an outdated version of the splash 
picture.

Just copy the file

./splash/spacefun-splash.svg

over

./source/spacefun/splash.svg

and that's it.







Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Mon, 20 Dec 2010 22:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Mon, 20 Dec 2010 22:15:05 GMT) Full text and rfc822 format available.

Message #167 received at 587668@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: uhansen@mainz-online.de
Cc: 587668@bugs.debian.org, Valessio Brito <contato@valessiobrito.info>
Subject: Re: Bug#587668: fixed in desktop-base 6.0.0
Date: Mon, 20 Dec 2010 23:10:36 +0100
[Message part 1 (text/plain, inline)]
On Mon, 20 Dec 2010 17:59:35 +0100 Ulrich Hansen wrote:

> Am 19.12.2010 18:50, schrieb Francesco Poli:
> > It seems to me that there are still two unfixed images in
> > desktop-base_6.0.4.tar.gz:
> >
> > ./debian-desktop-logo.png
> > ./source/spacefun/splash.svg
> >
> > I am therefore reopening the bug report.
> 
> This one is easy to fix:
> 
> debian-desktop-logo.png
> 
> has been dropped from the source package by Yves-Alexis Perez in the 
> meantime.

Yes, this obviously makes the issue with it go away!  ;-)

> 
> And ./source/spacefun/splash.svg is an outdated version of the splash 
> picture.
> 
> Just copy the file
> 
> ./splash/spacefun-splash.svg
> 
> over
> 
> ./source/spacefun/splash.svg
> 
> and that's it.

Does it make sense to have two identical files in the same source
package? Couldn't one single copy of the file be read from one single
place in the source tree?
I am just asking: maybe I am missing some technical reason to do so...


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Mon, 20 Dec 2010 23:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to uhansen@mainz-online.de:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Mon, 20 Dec 2010 23:45:06 GMT) Full text and rfc822 format available.

Message #172 received at 587668@bugs.debian.org (full text, mbox):

From: Ulrich Hansen <uhansen@mainz-online.de>
To: Francesco Poli <frx@firenze.linux.it>, 587668@bugs.debian.org, Valessio Brito <contato@valessiobrito.info>, Yves-Alexis Perez <corsac@debian.org>
Subject: Re: Bug#587668: fixed in desktop-base 6.0.0
Date: Tue, 21 Dec 2010 00:40:04 +0100
Am 20.12.2010 23:10, schrieb Francesco Poli:
> Does it make sense to have two identical files in the same source
> package? Couldn't one single copy of the file be read from one single
> place in the source tree?
> I am just asking: maybe I am missing some technical reason to do so...

You are right. I don't think the two files "splash.svg" and 
"wallpaper.svg" in "./source/spacefun/" in our source package 
"desktop-base_6.0.4.tar.gz" are needed.

They should be identical to "./splash/spacefun-splash.svg" and 
"./backgrounds/spacefun-wallpaper.svg". (But they aren't, which caused 
this problem).

Of course it may be nice to have all sources of a theme in one 
directory. But in this case it means we have TWO sourcefiles of the 
same image. And now we have to care about them, because unfortunately 
they are not identical. Which is crap.

So IMHO it would be best to delete "splash.svg" and "wallpaper.svg" in 
"./source/spacefun/" (which frees some space and also fixes this bug).

Maybe Valessio and Yves-Alexis have an opinion about this?










Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Franco <stratus@debian.org>:
Bug#587668; Package desktop-base. (Tue, 21 Dec 2010 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Gustavo Franco <stratus@debian.org>. (Tue, 21 Dec 2010 08:51:03 GMT) Full text and rfc822 format available.

Message #177 received at 587668@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: uhansen@mainz-online.de
Cc: Francesco Poli <frx@firenze.linux.it>, 587668@bugs.debian.org, Valessio Brito <contato@valessiobrito.info>
Subject: Re: Bug#587668: fixed in desktop-base 6.0.0
Date: Tue, 21 Dec 2010 09:48:34 +0100
[Message part 1 (text/plain, inline)]
On mar., 2010-12-21 at 00:40 +0100, Ulrich Hansen wrote:
> Maybe Valessio and Yves-Alexis have an opinion about this?

IIrc the source svg has the guidelines for cut while the various
artworks are generated from the source svg at the correct format.


The thing is, for the splash.svg they are both identical since there's
only one variant, so yes it could be removed, but for consistency I've
let it there.

It might be revisited later, for now I think it's easier like this for
now.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Tue, 21 Dec 2010 22:06:05 GMT) Full text and rfc822 format available.

Notification sent to Pompee William <william.pompee@gmail.com>:
Bug acknowledged by developer. (Tue, 21 Dec 2010 22:06:05 GMT) Full text and rfc822 format available.

Message #182 received at 587668-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 587668-close@bugs.debian.org
Subject: Bug#587668: fixed in desktop-base 6.0.5
Date: Tue, 21 Dec 2010 22:02:50 +0000
Source: desktop-base
Source-Version: 6.0.5

We believe that the bug you reported is fixed in the latest version of
desktop-base, which is due to be installed in the Debian FTP archive:

desktop-base_6.0.5.dsc
  to main/d/desktop-base/desktop-base_6.0.5.dsc
desktop-base_6.0.5.tar.gz
  to main/d/desktop-base/desktop-base_6.0.5.tar.gz
desktop-base_6.0.5_all.deb
  to main/d/desktop-base/desktop-base_6.0.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587668@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated desktop-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 21 Dec 2010 22:05:48 +0100
Source: desktop-base
Binary: desktop-base
Architecture: source all
Version: 6.0.5
Distribution: unstable
Urgency: low
Maintainer: Gustavo Franco <stratus@debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 desktop-base - common files for the Debian Desktop
Closes: 587668 607101 607142 607458
Changes: 
 desktop-base (6.0.5) unstable; urgency=low
 .
   * gnome-backgrounds.xml: rename wallpaper to not display the release name at
     all.                                                        closes: #607101
   * debian/copyright updated, thanks to Francesco Poli.         closes: #607458
   * debian-desktop-logo.png dropped, its' not installed anywhere anyway.
   * source/spacefun/splash updated to the DFSG-free version.    closes: #587668
   * usplash theme dropped, wasn't installed anyway.
   * debian/post{inst,rm}: don't configure plymouth theme, it'll override user
     settings. A better solution needs to be found for Wheezy    closes: #607142
   * debian/README.Debian: indicate how to enable plymouth theme.
   * drop all gnome-debian-sid artwork.
   * pixmaps/debian-security.png updated, thanks to Ulrich Hansen.
Checksums-Sha1: 
 fd698a73f744c2ff0461f3592a4daa10502ef024 1712 desktop-base_6.0.5.dsc
 fc8be03d0e8c58d891d5ab9db5a83fd7b08a3220 8151289 desktop-base_6.0.5.tar.gz
 c040c3ecee3f43561e794b57e173eda185422639 6648794 desktop-base_6.0.5_all.deb
Checksums-Sha256: 
 afba1098304fa42ade26c403b81ebc6ea7b3faa55cc94ab631635513d839d81c 1712 desktop-base_6.0.5.dsc
 6f2b82e23d5a988b6c6f8438dfb0a5baa47a1cae6f4c7ebf0c0e7f045da09e0d 8151289 desktop-base_6.0.5.tar.gz
 e6016be9543aa7f10350f571ef37dabcc5ceb995071b257bd1ca8f95fd3bf193 6648794 desktop-base_6.0.5_all.deb
Files: 
 365a7bc8781bf83f2f87a2eaff9dc97d 1712 x11 optional desktop-base_6.0.5.dsc
 1bf3daa737570463a9e5d7000b6bc483 8151289 x11 optional desktop-base_6.0.5.tar.gz
 066bb007909b4a74b13306847ba787bb 6648794 x11 optional desktop-base_6.0.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJNESAPAAoJEDBVD3hx7wuoh+sQANiZyfifQHcnAUbg6Klltcr/
qv+9yQeJuTk3/2bn+NK06gD/qPQjv7pqEoxjROq5x8YfmSjEdIRN8u2t6qnEywrW
dlZ/uLXSoH4CyylKUh0OKnQyy+Cy0gjrSsNquhTo6WNfPWSfN7naGqgSzmJyJoNZ
PqRgrl81zAHlWewVIHN+3dVRt6rwne3fcnUBz+wSD/UQoNK23mxmyi9mJ+FQkZzt
nrZzitH8vbFyPVC8KhT7l/qBoXX9wTYT8xCTBH/Ua6SztqO3rG/RJb8d26gnScJf
rYQfmCX1Ngd9Lh9HsSg2V2MtY82wnBXeWGHfJhLcjx8P2tO1JMWN+XIkX83UZu9L
uJCFkgWp8n++qSP92yAFw+LKE33P1lYlDUTBYOwPlEHYG49oXBzgGH04IRXyl9Hc
6Cuv58sNBJMdN8ICTKHvIuG87WVH4I+JST6iIhRuuM1j8sea35zIkNSnmTQOtoDE
LvgjSCdTJkaJPTwFLUsTA5fLw378ZVIHPrUgGP8Phma+EC07XIEsu1LlFzr0XSlK
Qt6mit8Hq+vISlnoNwJ7Cf7t/q6V8lCyGm7tOxe+O+qyZ1PPn60QZc61Jsk6Ke2q
T8N6UrTIP2ukItGFKoeyiRAw42HP7WwfHmAoEXRqbqxW00q6wb06f4bI9TNI1T+0
nuDwLuJI2x3Ir2TiVlpx
=beey
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:41:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:27:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.